Latest 15.6.2
Homepage https://github.com/poholo/MCAlipaySDK
License MIT
Platforms ios 8.0, requires ARC
Authors

MCAlipaySDK是对AlipaySDK的映射,使用pod依赖管理,便于开发者快速集成AlipaySDK的支付授权等功能。

版本

15.6.2 support NO_UTDID

集成方式

pod 'MCAlipaySDK'

有UTDID冲突的请用
pod 'MCAlipaySDK/NO_UTDID'
在你的podfile文件加入
source 'https://github.com/aliyun/aliyun-specs.git'

老版本请使用(3.0)之前
使用 Cocoapods-depend 插件
pod depend add AlipaySDK-2.0
或者在 Podfile 文件下添加
pod 'AlipaySDK-2.0'

notes

建立仓库的本意在于LDSDKManager集成三方库比较陈旧,当想换新的库时,发现非常难,而第三方库的管理也比较佛系,基本很难追踪历史,故打算长更新此仓库,此仓库的老版本走 candyan/AlipaySDK,15.5.7版本后会逐步转移到这个仓库。

Link

文档地址-官方

sdk地址-官方

Latest podspec

{
    "name": "MCAlipaySDK",
    "version": "15.6.2",
    "summary": "AlipaySDKu7684u6620u5c04",
    "description": "MCAlipaySDKu662fu5bf9AlipaySDKu7684u6620u5c04uff0cu4f7fu7528podu4f9du8d56u7ba1u7406uff0cu4fbfu4e8eu5f00u53d1u8005u5febu901fu96c6u6210AlipaySDKu7684u652fu4ed8u6388u6743u7b49u529fu80fdu3002",
    "license": "MIT",
    "authors": {
        "littleplayer": "[email protected]"
    },
    "homepage": "https://github.com/poholo/MCAlipaySDK",
    "source": {
        "git": "https://github.com/poholo/MCAlipaySDK.git",
        "tag": "15.6.2"
    },
    "platforms": {
        "ios": "8.0"
    },
    "requires_arc": true,
    "default_subspecs": "Base",
    "xcconfig": {
        "VALID_ARCHS": "arm64 x86_64",
        "USER_HEADER_SEARCH_PATHS": "${PROJECT_DIR}/Pods/**"
    },
    "pod_target_xcconfig": {
        "VALID_ARCHS": "arm64 x86_64"
    },
    "ios": {
        "frameworks": [
            "CoreTelephony",
            "SystemConfiguration",
            "QuartzCore",
            "CoreText",
            "CoreGraphics",
            "UIKit",
            "Foundation",
            "CFNetwork",
            "CoreMotion"
        ],
        "libraries": [
            "z",
            "c++"
        ]
    },
    "subspecs": [
        {
            "name": "Base",
            "vendored_frameworks": "SDK/AlipaySDK.framework",
            "resources": [
                "SDK/*.{bundle}"
            ]
        },
        {
            "name": "NO_UTDID",
            "vendored_frameworks": "SDK_NO_UTDID/AlipaySDK.framework",
            "resources": [
                "SDK_NO_UTDID/*.{bundle}"
            ]
        }
    ]
}

Pin It on Pinterest

Share This